Offers
curl --request GET \
--url https://studio-api.onlytraffic.com/api/external/v1/revshare/offers \
--header 'X-API-Key: <api-key>'import requests
url = "https://studio-api.onlytraffic.com/api/external/v1/revshare/offers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://studio-api.onlytraffic.com/api/external/v1/revshare/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"of_account_id": 123456,
"username": "jane_doe",
"article": "AG283",
"status": "active",
"is_draft": false,
"reject_reason": null,
"share_percent": 40,
"free_trial_days": 7,
"prohibited_sources": [
"reddit",
"tiktok"
],
"account_disabled": false,
"campaigns": {
"active": 3,
"total": 12
},
"fans_total": 1240,
"revenue_cents": 1040000,
"arpu_cents": 839,
"deposit": {
"covered_cents": 20000,
"minimum_cents": 20000,
"missing_cents": 0
},
"created_at": "2026-07-13T10:20:00Z",
"created_at_ts": 1783938000,
"updated_at": "2026-09-25T09:00:00Z",
"updated_at_ts": 1790326800
}
],
"pagination": {
"page": 1,
"page_size": 50,
"total": 150,
"total_pages": 3,
"has_next": true
}
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}RevShare
Offers
Your RevShare offers, one per OnlyFans account.
GET
/
revshare
/
offers
Offers
Authorizations
Your API key from the Studio Dashboard
Query Parameters
Page number, 1-indexed.
Required range:
x >= 1Items per page. Default 50, max 100.
Required range:
1 <= x <= 100Filter by OnlyFans account id (must be one of your accounts).
Filter by offer status.
Available options:
active, moderation, disabled, rejected Sort order.
Available options:
updated_at_desc, created_at_desc, created_at_asc, share_desc, fans_desc, revenue_desc Was this page helpful?